[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapInterfacedObjectData.AddOrSetData

Add data with given or set value if the key already exists.

## Declaration

Source position: fgl.pp line 423

`public procedure TFPGMapInterfacedObjectData.AddOrSetData(`
`const AKey: TKey;`
`const AData: TData`
`);`

## Description

AddOrSetData will check if key AKey already exists. if yes, the value associated with it will be replaced with AData. If the key does not yet exist, it will be added with value AData.

## Errors

None.

## See also

TFPGMapInterfacedObjectData.TryGetData |  | Find data or return default
TFPGMapInterfacedObjectData.Add |  | Add a key and value to the map
TFPGMapInterfacedObjectData.Find |  | Find item based on key